- Main Page
- Namespaces
- Classes
- Files

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# Ipopt::LoqoMuOracle Class Reference

Implementation of the LOQO formula for computing the barrier parameter. More...

`#include <IpLoqoMuOracle.hpp>`

Inheritance diagram for Ipopt::LoqoMuOracle:

[legend]
Collaboration diagram for Ipopt::LoqoMuOracle:

[legend]
List of all members.

## Public Member Functions
virtual bool | InitializeImpl (const OptionsList &options, const std::string &prefix)
| Initialize method - overloaded from AlgorithmStrategyObject.
virtual bool | CalculateMu (Number mu_min, Number mu_max, Number &new_mu)
| Method for computing the value of the barrier parameter that could be used in the current iteration (using the LOQO formula).
Constructors/Destructors
| LoqoMuOracle ()
| Default Constructor.
virtual | ~LoqoMuOracle ()
| Default destructor.
## Private Member Functions
Default Compiler Generated Methods
(Hidden to avoid implicit creation/calling). These methods are not implemented and we do not want the compiler to implement them for us, so we declare them private and do not define them. This ensures that they will not be implicitly created/called.
| LoqoMuOracle (const LoqoMuOracle &)
| Copy Constructor.
void | operator= (const LoqoMuOracle &)
| Overloaded Equals Operator.

## Detailed Description

Implementation of the LOQO formula for computing the barrier parameter.

Definition at line 20 of file IpLoqoMuOracle.hpp.

## Constructor & Destructor Documentation

Ipopt::LoqoMuOracle::LoqoMuOracle | ( |  | ) |

Default Constructor.

virtual Ipopt::LoqoMuOracle::~LoqoMuOracle | ( |  | ) | `[virtual]`

Default destructor.

Ipopt::LoqoMuOracle::LoqoMuOracle | ( | const LoqoMuOracle & |  | ) | `[private]`

Copy Constructor.

## Member Function Documentation

virtual bool Ipopt::LoqoMuOracle::InitializeImpl | ( | const OptionsList & | options,
|  | const std::string & | prefix |
| ) |  |  | `[virtual]`

Initialize method - overloaded from AlgorithmStrategyObject.

Implements Ipopt::MuOracle.

virtual bool Ipopt::LoqoMuOracle::CalculateMu | ( | Number | mu_min,
|  | Number | mu_max,
|  | Number & | new_mu |
| ) |  |  | `[virtual]`

Method for computing the value of the barrier parameter that could be used in the current iteration (using the LOQO formula).

Implements Ipopt::MuOracle.

void Ipopt::LoqoMuOracle::operator= | ( | const LoqoMuOracle & |  | ) | `[private]`

Overloaded Equals Operator.

The documentation for this class was generated from the following file:

- /home/coin/SVN-release/Ipopt-3.2.1/Ipopt/src/Algorithm/IpLoqoMuOracle.hpp